MWAWPictPolygon Class Reference

a class used to define a polygon More...

`#include <MWAWPictBasic.hxx>`

Inheritance diagram for MWAWPictPolygon:

## Public Member Functions

| MWAWPictPolygon (Box2f bdBox, std::vector< Vec2f > const &lVect)
| constructor: bdbox followed by the bdbox of the circle and 2 angl exprimed in degree More...
virtual | ~MWAWPictPolygon ()
| virtual destructor More...
virtual bool | getODGBinary (WPXBinaryData &res) const
| returns a ODG (encoded) More...
Public Member Functions inherited from MWAWPictBasic
virtual | ~MWAWPictBasic ()
| virtual destructor More...
virtual Type | getType () const
| returns the picture type More...
void | setLineWidth (float w)
| sets the line width (by default 1.0) More...
void | setLineColor (MWAWColor const &col)
| sets the line color. More...
void | setSurfaceColor (MWAWColor const &col, bool hasColor=true)
| sets the surface color. More...
bool | hasSurfaceColor () const
virtual bool | getBinary (WPXBinaryData &data, std::string &s) const
| returns the final representation in encoded odg (if possible) More...
Public Member Functions inherited from MWAWPict
virtual | ~MWAWPict ()
| virtual destructor More...
Box2f | getBdBox () const
| returns the bdbox of the picture More...
void | setBdBox (Box2f const &box)
| sets the bdbox of the picture More...

## Protected Member Functions

virtual SubType | getSubType () const
| returns the class type More...
virtual void | getGraphicStyleProperty (WPXPropertyList &list) const
| returns the graphics style More...
virtual int | cmp (MWAWPict const &a) const
| comparison function More...
Protected Member Functions inherited from MWAWPictBasic
void | getStyle1DProperty (WPXPropertyList &list) const
| returns the basic style property for 1D form (line, ...) More...
void | getStyle2DProperty (WPXPropertyList &list) const
| returns the basic style property for 2D form (line, ...) More...
void | startODG (MWAWPropertyHandlerEncoder &doc) const
| adds the odg header knowing the minPt and the maxPt More...
void | endODG (MWAWPropertyHandlerEncoder &doc) const
| adds the odg footer More...
void | extendBDBox (float val, int id)
| a function to extend the bdbox More...
| MWAWPictBasic ()
| protected constructor must not be called directly More...
| MWAWPictBasic (MWAWPictBasic const &p)
| protected constructor must not be called directly More...
MWAWPictBasic & | operator= (MWAWPictBasic const &p)
| protected= must not be called directly More...
Protected Member Functions inherited from MWAWPict
void | extendBDBox (float val)
| udaptes the bdbox, by extended it by (val-previousVal) More...
| MWAWPict ()
| protected constructor must not be called directly More...
| MWAWPict (MWAWPict const &p)
| protected constructor must not be called directly More...
MWAWPict & | operator= (MWAWPict const &p)
| protected operator= must not be called directly More...

## Protected Attributes

std::vector< Vec2f > | m_verticesList
| the vertices list More...

## Additional Inherited Members

Public Types inherited from MWAWPictBasic
enum | SubType { Line, Rectangle, Polygon, Circle, Arc, Path }
| the picture subtype ( line, rectangle, polygon, circle, arc) More...
Public Types inherited from MWAWPict
enum | Type { Basic, PictData, Bitmap, OleContainer, Unknown }
| the different picture types: More...
enum | ReadResult { MWAW_R_BAD =0, MWAW_R_OK, MWAW_R_OK_EMPTY, MWAW_R_MAYBE }
| an enum to defined the result of a parsing use by some picture's classes which can read their data More...
Static Protected Member Functions inherited from MWAWPict
static Box2f | getBdBox (int numPt, Vec2f const *pt)
| computes the minimum and maximum of a list of point More...

## Detailed Description

a class used to define a polygon

## Constructor & Destructor Documentation

MWAWPictPolygon::MWAWPictPolygon | ( | Box2f | bdBox,
|  | std::vector< Vec2f > const & | lVect
| ) |  |

inline

constructor: bdbox followed by the bdbox of the circle and 2 angl exprimed in degree

virtual MWAWPictPolygon::~MWAWPictPolygon | ( |  | ) |

inline virtual

virtual destructor

## Member Function Documentation

virtual int MWAWPictPolygon::cmp | ( | MWAWPict const & | a | ) | const

inline protected virtual

comparison function

Reimplemented from MWAWPictBasic.

void MWAWPictPolygon::getGraphicStyleProperty | ( | WPXPropertyList & | list | ) | const

protected virtual

returns the graphics style

Implements MWAWPictBasic.

bool MWAWPictPolygon::getODGBinary | ( | WPXBinaryData & | res | ) | const

virtual

returns a ODG (encoded)

Reimplemented from MWAWPictBasic.

virtual SubType MWAWPictPolygon::getSubType | ( |  | ) | const

inline protected virtual

returns the class type

Implements MWAWPictBasic.

## Member Data Documentation

std::vector<Vec2f> MWAWPictPolygon::m_verticesList

protected

the vertices list

Referenced by cmp(), and getODGBinary().

The documentation for this class was generated from the following files:

- MWAWPictBasic.hxx
- MWAWPictBasic.cxx